Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

List Live Price Grid Items

Request

Retrieves Live Price Grid Items.

A filter can be applied.

Filter example:

Returns the item where id = 644.

Please note:

Filtering by typedId is not accepted by this enpoint.

{
   "endRow":300,
   "oldValues":null,
   "operationType":"fetch",
   "startRow":0,
   "textMatchStyle":"exact",
   "data":{
      "_constructor":"AdvancedCriteria",
      "operator":"and",
      "criteria":[
         {
            "fieldName":"id",
            "operator":"equals",
            "value":644
         }
      ]
   }
}

Required PermissionRoles with the Required Permission
PRICEGRID_FETCHEdit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage Workflow Logics (WF_BUILDER)

Security
basic or X-PriceFx-jwt
Path
idstringrequired

The id of the Live Price Grid you want to retrieve items for. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint.

Bodyapplication/json
endRownumber

The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.

Default 300
oldValuesany
operationTypestringnon-empty

Enter fetch, null, or omit the param.

startRownumber

The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.

textMatchStylestringnon-empty
dataobject
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.fetch/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 300,
    "oldValues": null,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact",
    "data": {
      "_constructor": "AdvancedCriteria",
      "operator": "and",
      "criteria": [
        {
          "fieldName": "currency",
          "operator": "equals",
          "value": "USD"
        }
      ]
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "startRow": 0, "data": [], "endRow": 300, "totalRows": 0, "status": 0 } }

Copy a Price Grid

Request

Creates a copy of the specified Live Price Grid (including metadata and Price Grid Items).


Required PermissionRoles with the Required Permission
PRICEGRID_ADDEdit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Administer LPG (PB_PRICEGRIDS)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The id of the Live Price Grid you want to copy. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint.

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.copy/{id}'

Responses

OK

Bodyapplication/json
responseobjectrequired
response.​nodestringnon-emptyrequired
response.​csrfTokenstringnon-emptyrequired
response.​dataArray of objectsnon-emptyuniquerequired
response.​data[].​versionnumberrequired
response.​data[].​typedIdstringnon-emptyrequired
response.​data[].​targetDateany
response.​data[].​labelstringnon-emptyrequired
response.​data[].​localeany
response.​data[].​calculationMessagesany
response.​data[].​numberOfItemsnumberrequired
response.​data[].​keepManualOverridesbooleanrequired
response.​data[].​writeOnlyChangedItemsbooleanrequired
response.​data[].​configurationstringnon-emptyrequired
response.​data[].​nodeIdany
response.​data[].​approvalStateany
response.​data[].​descriptionany
response.​data[].​relativeTargetDateDaysany
response.​data[].​userGroupEditany
response.​data[].​userGroupViewDetailsany
response.​data[].​numberOfApprovedItemsnumberrequired
response.​data[].​numberOfOpenItemsnumberrequired
response.​data[].​numberOfDeniedItemsnumberrequired
response.​data[].​numberOfSubmittedItemsnumberrequired
response.​data[].​numberOfAutoApprovedItemsnumberrequired
response.​data[].​integrationStatusany
response.​data[].​priceGridTypestringnon-emptyrequired
response.​data[].​headerTypeUniqueNameany
response.​data[].​createdByNamestringnon-emptyrequired
response.​data[].​lastUpdateByNamestringnon-emptyrequired
response.​data[].​updatedBynumberrequired
response.​data[].​updateDatestringnon-emptyrequired
response.​data[].​createDatestringnon-emptyrequired
response.​data[].​createdBynumberrequired
response.​data[].​lastUpdateDatestringnon-emptyrequired
response.​data[].​lastUpdateBynumberrequired
response.​data[].​statusstringnon-emptyrequired
response.​data[].​calculationStartDateany
response.​data[].​calculationDateany
response.​data[].​partialCalculationDateany
response.​data[].​idnumberrequired
response.​statusnumberrequired
Response
application/json
{ "response": { "node": "string", "csrfToken": "string", "data": [], "status": 0 } }

Mass Edit Price Grid Items

Request

Updates fields of specified Live Price Grid Items.

Specify the items in the request body by the id field.

Information: The id is the typedId without the PGI suffix. For example, the id attribute of the item with typedId = 649.PGI is 649.


Required PermissionRoles with the Required Permission
PRICEGRID_UPDATEEdit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The id of the Live Price Grid whose items you want to edit. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint.

Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.massedit/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "filterCriteria": {
        "_constructor": "AdvancedCriteria",
        "operator": "and",
        "criteria": [
          {
            "fieldName": "id",
            "operator": "inSet",
            "value": [
              "649",
              "650"
            ],
            "_constructor": "AdvancedCriteria"
          }
        ]
      },
      "massEditRecords": [
        {
          "fieldName": "manualResultPrice",
          "massEditOperator": "=",
          "fieldValue": 20,
          "precision": "2"
        }
      ]
    }
  }'

Responses

OK - The response contains "data":null as the mass edit task is a background process whose results are not yet available within the response time.

Bodyapplication/json
responseobjectrequired
response.​nodestringnon-emptyrequired
response.​dataany
response.​statusnumberrequired
Response
application/json
{ "response": { "node": "string", "data": null, "status": 0 } }

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas